How to rebuild all system-wide python modules with current version

Been running NixOS Unstable for at least a year now, with no major problems. Today, however, I ran into an issue with the sip package, which was complaining about there not being support for python 3.12 (there clearly is, either python312Packages.sip4 or python312Packages.sip).

I never even realized that there were python modules on my system that were using python 3.11, even though I did not install it. What I can’t figure out, though, is how to force the system to only use python 3.12. The other option is to figure out how to get sip4 to upgrade to either sip (on version 6) or sip4 with python 3.12.

Is it a simple process to set the system version of python?